%define upstream_name MooX-Lsub
%define upstream_version 0.002001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Very shorthand syntax for bulk lazy builders
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Test::Needs)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
I often want to use a lot of lazy build subs to implement some plumbing,
with scope to allow it to be overridden by people who know what they're
doing with an injection library like Bread::Board.

Usually, the syntax of "Class::Tiny" is what I use for such things.

  use Class::Tiny {
    'a' => sub { },
    'b' => sub { },
  };

Etc.

But switching things to Moo means I usually have to get much uglier, and
repeat myself a *lot*.

So this module exists as a compromise.

Additionally, I always forgot to declare "use Moo 1.000008" which was
the first version of "Moo" where "builder => sub" worked, and I would
invariably get silly test failures in smokers as a consequence.

This module avoids such problem entirely, and is tested to work with
"Moo 0.009001".

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.1-5.mga10
+ Revision: 2204052
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.1-4.mga9
+ Revision: 1809758
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1505337
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1285015
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.2.1-1.mga7
+ Revision: 1125968
- update to 0.002001

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-6.mga6
+ Revision: 1030720
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-5.mga6
+ Revision: 949277
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 789474
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 740401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 685498
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 669931
- update to 0.002000

* Sun Aug 17 2014 sander85 <sander85> 0.1.3-1.mga5
+ Revision: 664724
- imported package perl-MooX-Lsub

